# Uses of Class
org.openscience.jmol.app.HistoryFile

Packages that use HistoryFile
Package
Description
org.openscience.jmol.app
org.openscience.jmol.app.jmolpanel
org.openscience.jmol.app.surfacetool
org.openscience.jmol.app.webexport

## Uses of HistoryFile in org.openscience.jmol.app

Fields in org.openscience.jmol.app declared as HistoryFile
Modifier and Type
Field
Description
`HistoryFile`
JmolApp.`historyFile`
`HistoryFile`
JmolApp.`pluginFile`

## Uses of HistoryFile in org.openscience.jmol.app.jmolpanel

Fields in org.openscience.jmol.app.jmolpanel declared as HistoryFile
Modifier and Type
Field
Description
`static HistoryFile`
JmolPanel.`historyFile`
`static HistoryFile`
JmolPanel.`pluginFile`

## Uses of HistoryFile in org.openscience.jmol.app.surfacetool

Constructors in org.openscience.jmol.app.surfacetool with parameters of type HistoryFile
Modifier
Constructor
Description
``
`SurfaceTool(JmolViewer vwr, HistoryFile hfile, String winName, boolean useGUI)`

## Uses of HistoryFile in org.openscience.jmol.app.webexport

Methods in org.openscience.jmol.app.webexport with parameters of type HistoryFile
Modifier and Type
Method
Description
`static WebExport`
WebExport.`createAndShowGUI(Viewer vwr, HistoryFile historyFile, String wName)`